ARDUINO COMMAND LINE MANUAL(1)

NAME
arduino-cli-profile-lib-add - Adds a library to a sketch profile.

SYNOPSIS
arduino-cli profile lib add LIBRARY[@VERSION_NUMBER]... [flags]

DESCRIPTION
Adds a library to a sketch profile.

OPTIONS
-h, --help[=false]
    help for add

--no-deps[=false]
    Do not add dependencies.

--no-overwrite[=false]
    Do not overwrite already added libraries.

-m, --profile=""
    Sketch profile to use

--sketch-path=""
    Location of the sketch.

OPTIONS INHERITED FROM PARENT COMMANDS
--additional-urls=[]
    Comma-separated list of additional URLs for the Boards Manager.

--config-dir=""
    Sets the default data directory (Arduino CLI will look for configuration file in this directory).

--config-file=""
    The custom config file (if not specified the default will be used).

--json[=false]
    Print the output in JSON format.

--log[=false]
    Print the logs on the standard output.

--log-file=""
    Path to the file where logs will be written.

--log-format="text"
    The output format for the logs, can be: text, json

--log-level="info"
    Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic

--no-color[=false]
    Disable colored output.

EXAMPLE
      debian/build/bin/arduino-cli profile lib add AudioZero -m my_profile
      debian/build/bin/arduino-cli profile lib add Arduino_JSON@0.2.0 --profile my_profile

SEE ALSO
arduino-cli-profile-lib(1)

HISTORY
15-Aug-2026 Auto generated by spf13/cobra